
  <mat-card-header>
    <mat-card-title style="font-size: 20px;display:flex">{{category.name}}
      <mat-icon aria-hidden="false" (click)="toggleCollapsed()">expand_more</mat-icon>
    </mat-card-title>
  </mat-card-header>

  <mat-card-content *ngIf="!collapsed">

    <div id="{{'#'+category.name.toLowerCase()+'Container'}}">

      <owl-carousel-o [options]="customOptions">
        <ng-container *ngFor="let product of products$ | async">
          <ng-template carouselSlide [id]="product.id">
            <div [attr.data-product-id]="product.id" class="product-card item">
              <div class="image">
                <img [src]="product.image_path" alt="">
              </div>

              <div class="content">
                <h3>{{product.name}}</h3>
                <div class="info">
                  <p>{{product.description}}</p>
                  <div *ngIf="product.stock === 0 else stock" class="stock no-stock">
                    Existencias agotadas
                  </div>
                  <ng-template #stock>
                    <div class="stock">
                      Quedan {{product.stock}} unidades
                    </div>
                  </ng-template>
                  <div class="price">
                    {{product.price | currency:'EUR':'symbol'}}
                  </div>
                  <button *ngIf="(user$ | async)" (click)="addToCart(product.id)" [ngClass]="{'add-to-cart-btn':true, 'disable':product.stock === 0}">Añadir al
                      carro</button>
                </div>
              </div>
            </div>
          </ng-template>
        </ng-container>
      </owl-carousel-o>
    </div>
  </mat-card-content>